nero = Color.new(0,0,0)
rosso = Color.new(255,0,0)
pic1 = Image.load("SYSTEM/resources/menu/pic1.png")
pic2 = Image.load("SYSTEM/resources/menu/pic2.png")
mpic = Image.load("SYSTEM/resources/menu/Mpic.png")
icon = Image.load("SYSTEM/resources/menu/triangle.png")

Mp3me.load("SYSTEM/resources/music/SND1.mp3")

Selected = 20
timer1 = 0
timer2 = 0




posizione_x0 = 480
posizione_y0 = 236
posizione_x1 = 360
posizione_y1 = 236

posizione_x2 = 360
posizione_y2 = 236
posizione_x3 = 360
posizione_y3 = 251

posizione_x4 = 360
posizione_y4 = 251
posizione_x5 = 480
posizione_y5 = 251


while true do
pad = Controls.read()
screen:blit(0,0,mpic)

Mp3me.play()
if Mp3me.gettime() == Mp3me.songTime() then
Mp3me.stop()
Mp3me.load("SYSTEM/resources/music/SND1.mp3")
Mp3me.play()
end

if pad:up() then timer1 = timer1 + 1 end
if not pad:up() then timer1 = 0 end
if timer1 == 1 then Selected = Selected - 10 end

if pad:down() then timer2 = timer2 + 1 end
if not pad:down() then timer2 = 0 end 
if timer2 == 1 then Selected = Selected + 10 end


if Selected==20 then screen:blit(0,0,pic1) end
if Selected==20 and pad:cross() then dofile("SYSTEM/GAME/index1.lua") end

if Selected==30 then screen:blit(0,0,pic2) end 
if Selected==30 and pad:cross() then System.message("Are you sure you want to quit the game",1) end
if System.buttonPressed(0) == 1 then System.Quit() end


if Selected==40 then Selected=20 end
if Selected==10 then Selected=30 end


screen:drawLine(posizione_x0,posizione_y0,posizione_x1,posizione_y1,nero)
screen:drawLine(posizione_x2,posizione_y2,posizione_x3,posizione_y3,nero)
screen:drawLine(posizione_x4,posizione_y4,posizione_x5,posizione_y5,nero)

screen:print(365,5,"Battery =",rosso)
screen:print(445,5,System.powerGetBatteryLifePercent(),rosso)
screen:print(470,5,"%",rosso)

screen:print(365,25,"Time =",rosso)
screen:print(415,25,System.getTime(1),rosso) 
screen:print(430,25,":",rosso)
screen:print(430,26,":",rosso)
screen:print(437,25,System.getTime(2),rosso) 
screen:print(457,25,System.getTime(5),rosso)


screen:print(370,240,"[] -> OPTIONS",rosso)
screen:print(370,241,"[] -> OPTIONS",rosso)
if pad:square() then dofile("SYSTEM/resources/options/options.lua") end

screen:blit(330,218,icon)
screen:print(330,220,"  -> SELECT LEVEL",rosso)
screen:print(330,221,"  -> SELECT LEVEL",rosso)
if pad:triangle() then dofile("SYSTEM/GAME/SelectLevel.lua") end

screen:print(2,261,"3.0.2",nero)
screen:print(2,262,"3.0.2",nero)

screen:print(370,262,"By Fede94boss",nero)

screen.waitVblankStart()
screen.flip()
screen:clear()
end


